Bug 1542902 - Review Request: php-pecl-redis4 - Extension for communicating with the Redis key-value store
Summary: Review Request: php-pecl-redis4 - Extension for communicating with the Redis ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-07 10:14 UTC by Remi Collet
Modified: 2018-02-27 17:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-27 17:18:11 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2018-02-07 10:14:16 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/pecl/php-pecl-redis4.git/plain/php-pecl-redis4.spec?id=1e6765655c20feb3a6a441af2fe52b891be15f2e
SRPM URL: http://rpms.remirepo.net/SRPMS/php-pecl-redis4-4.0.0~RC1-2.remi.src.rpm
Description: 
The phpredis extension provides an API for communicating
with the Redis key-value store.

This Redis client implements most of the latest Redis API.
As method only only works when also implemented on the server side,
some doesn't work with an old redis server version.


Fedora Account System Username: remi


I plan to retire previous version (php-pecl-redis) from repository when 4.0.0 will go GA, and in all case, after F28 mass branching (so only in F29)


WARNING: fedora-review is unable to properly handle the right spec file, see bug #1505030

Comment 1 Robert-André Mauchin 2018-02-07 18:01:32 UTC
 - Group: is not needed in Fedora.

 - The very last test fails:

testConnectException       
Warning: Redis::connect(): php_network_getaddresses: getaddrinfo failed: Name or service not known in /builddir/build/BUILD/php-pecl-redis4-4.0.0~RC1/NTS/tests/RedisTest.php on line 5169
[FAILED]

    Looking at the source, it tries to connect to Github, but Internet is not available from Mock/Koji:

    public function testConnectException() {
        $redis = new Redis();
        try {
            $redis->connect('github.com', 6379, 0.01);
        }  catch (Exception $e) {
            $this->assertTrue(strpos($e, "timed out") !== false);
        }
    }


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[-]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "PHP (v3.01)", "Unknown or generated". 26
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/php-pecl-redis4/review-php-pecl-
     redis4/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/doc/pecl/redis
     (php-pecl-redis)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 133120 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.11 DB version 1.28.0 built Jan 09 2018
     08:43:55 CET static analyze results in /home/bob/packaging/review/php-
     pecl-redis4/review-php-pecl-redis4/phpci.log


Rpmlint
-------
Checking: php-pecl-redis4-4.0.0~RC1-2.fc28.x86_64.rpm
          php-pecl-redis4-debuginfo-4.0.0~RC1-2.fc28.x86_64.rpm
          php-pecl-redis4-debugsource-4.0.0~RC1-2.fc28.x86_64.rpm
          php-pecl-redis4-4.0.0~RC1-2.fc28.src.rpm
php-pecl-redis4.x86_64: W: spelling-error %description -l en_US phpredis -> predispose
php-pecl-redis4-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
php-pecl-redis4-debugsource.x86_64: W: no-documentation
php-pecl-redis4.src: W: spelling-error %description -l en_US phpredis -> predispose
php-pecl-redis4.src: E: specfile-error warning: line 43: Possible unexpanded macro in: Requires:      php(zend-abi) = %{php_zend_api}
php-pecl-redis4.src: E: specfile-error warning: line 44: Possible unexpanded macro in: Requires:      php(api) = %{php_core_api}
4 packages and 0 specfiles checked; 3 errors, 3 warnings.

Comment 2 Remi Collet 2018-02-08 05:00:55 UTC
(In reply to Robert-André Mauchin from comment #1)
>  - Group: is not needed in Fedora.

>  - The very last test fails:

Damned... I forgot to check new tests running a scratch build (and local mock have network because of bug #1514028)

Fixed by https://git.remirepo.net/cgit/rpms/php/pecl/php-pecl-redis4.git/commit/?id=ededdd74af7211f1fd5be84db712db58e0f9e2ab

Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=24823796

I now need to fix the bigendian issue...

Comment 5 Robert-André Mauchin 2018-02-09 18:55:34 UTC
Sorry for the delay, I was ill.

Everything seems ok now. Package approved.

Comment 7 Gwyn Ciesla 2018-02-11 17:19:23 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-pecl-redis4

Comment 8 Fedora Update System 2018-02-12 06:56:45 UTC
php-pecl-redis4-4.0.0~RC1-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f266a9f303

Comment 9 Fedora Update System 2018-02-13 07:59:26 UTC
php-pecl-redis4-4.0.0~RC1-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f266a9f303

Comment 10 Fedora Update System 2018-02-27 17:18:11 UTC
php-pecl-redis4-4.0.0~RC1-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.